<input type="text" [(ngModel)]="title">
{{ title }}

<input type="text" [(ngModel)]="power">
{{ power | exponential }}


<div *ngIf="title === 'nicolas'">
  este es nicolas
</div>

<div *ngIf="title === 'julian'">
  este es julian
</div>

<div *ngIf="title === 'camilo'">
  este es camilo
</div>

<div [ngSwitch]="title">
  <p *ngSwitchCase="'nicolas'">este es nicolas</p>
  <p *ngSwitchCase="'julian'">este es julian</p>
  <p *ngSwitchCase="'camilo'">este es camilo</p>
  <p *ngSwitchDefault>no hay match</p>
</div>

<button (click)="addItem()">Add item</button>

<ul>
  <li *ngIf="items.length === 0">la lista esta vacia</li>
  <li *ngFor="let name of items; index as i">
    {{ name }} {{ i }}
    <button (click)="deleteItem(i)">delete</button>
  </li>
</ul>
